### Method

# Snapd Client check_themes_sync

since: 1.60

#### Declaration [src]

    gboolean
    snapd_client_check_themes_sync (
      SnapdClient* client,
      GStrv gtk_theme_names,
      GStrv icon_theme_names,
      GStrv sound_theme_names,
      GHashTable** gtk_theme_status,
      GHashTable** icon_theme_status,
      GHashTable** sound_theme_status,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Check the status of snap packaged versions of named desktop themes. For each theme, it will determine whether it is already installed, uninstalled but available on the store, or unavailable.

Available since: 1.60

#### Parameters

`gtk_theme_names`

  Type: An array of `utf8`

  A list of GTK theme names.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`icon_theme_names`

  Type: An array of `utf8`

  A list of icon theme names.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`sound_theme_names`

  Type: An array of `utf8`

  A list of sound theme names.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`gtk_theme_status`

  Type: `GHashTable`

  status of GTK themes.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`icon_theme_status`

  Type: `GHashTable`

  status of icon themes.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`sound_theme_status`

  Type: `GHashTable`

  status of sound themes.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.